ByteChef LogoByteChef

Coda

Coda is a collaborative all-in-one productivity tool that combines documents, spreadsheets, apps and databases into a single platform.

Categories: Productivity and Collaboration

Type: coda/v1


Connections

Version: 1

Bearer Token

Properties

NameLabelTypeDescriptionRequired
tokenTokenSTRINGtrue

Connection Setup

  1. Login to the dashboard at https://coda.io/signin.
  2. Click on your account.
  3. Click on Account Settings.
  4. Scroll to API Settings and click Generate API token.
  5. Give your token a name and click Generate API token.
  6. Copy the API token. Use these credentials to create a connection in ByteChef.

Actions

Copy Doc

Name: copyDoc

Copies an existing doc.

Properties

NameLabelTypeDescriptionRequired
titleTitleSTRINGTitle of the new doc.true
sourceDocSource DocSTRINGA doc ID from which to create a copy.true

Example JSON Structure

{
  "label" : "Copy Doc",
  "name" : "copyDoc",
  "parameters" : {
    "title" : "",
    "sourceDoc" : ""
  },
  "type" : "coda/v1/copyDoc"
}

Output

Type: OBJECT

Properties

NameTypeDescription
idSTRINGID of the Coda doc.
typeSTRINGThe type of this resource.
hrefSTRINGAPI link to the Coda doc.
browserLinkSTRINGBrowser-friendly link to the Coda doc.
nameSTRINGName of the doc.
ownerSTRINGEmail address of the doc owner.
ownerNameSTRINGName of the doc owner.
createdAtSTRINGTimestamp for when the doc was created.
updatedAtSTRINGTimestamp for when the doc was last modified.
iconOBJECT
Properties {STRING(name), STRING(type), STRING(browserLink)}
Info about the icon.
sourceDocOBJECT
Properties {STRING(id), STRING(type), STRING(href), STRING(browserLink)}
Reference to a Coda doc from which this doc was copied, if any.
workspaceIdSTRINGID of the Coda workspace containing this doc.
folderIdSTRINGID of the Coda folder containing this doc.
workspaceOBJECT
Properties {STRING(id), STRING(type), STRING(browserLink), STRING(name)}
Reference to a Coda workspace.
folderOBJECT
Properties {STRING(id), STRING(type), STRING(browserLink), STRING(name)}
Reference to a Coda folder.
requestIdSTRINGAn arbitrary unique identifier for this request.

Output Example

{
  "id" : "",
  "type" : "",
  "href" : "",
  "browserLink" : "",
  "name" : "",
  "owner" : "",
  "ownerName" : "",
  "createdAt" : "",
  "updatedAt" : "",
  "icon" : {
    "name" : "",
    "type" : "",
    "browserLink" : ""
  },
  "sourceDoc" : {
    "id" : "",
    "type" : "",
    "href" : "",
    "browserLink" : ""
  },
  "workspaceId" : "",
  "folderId" : "",
  "workspace" : {
    "id" : "",
    "type" : "",
    "browserLink" : "",
    "name" : ""
  },
  "folder" : {
    "id" : "",
    "type" : "",
    "browserLink" : "",
    "name" : ""
  },
  "requestId" : ""
}

Find Source Doc ID

To find the Source Doc ID, click here.

List Docs

Name: listDocs

Returns a list of docs accessible by the user and which they have opened at least once.

Properties

NameLabelTypeDescriptionRequired
isOwnerIs OwnerBOOLEAN
Options true, false
Show only docs owned by the user.false
isPublishedIs PublishedBOOLEAN
Options true, false
Show only published docs.false
limitLimitINTEGERMaximum number of results to return in this query.false

Example JSON Structure

{
  "label" : "List Docs",
  "name" : "listDocs",
  "parameters" : {
    "isOwner" : false,
    "isPublished" : false,
    "limit" : 1
  },
  "type" : "coda/v1/listDocs"
}

Output

Type: OBJECT

Properties

NameTypeDescription
itemsARRAY
Items [{STRING(id), STRING(type), STRING(href), STRING(browserLink), STRING(name), STRING(owner), STRING(ownerName), STRING(createdAt), STRING(updatedAt), {STRING(name), STRING(type), STRING(browserLink)}(icon), {NUMBER(totalRowCount), NUMBER(tableAndViewCount), NUMBER(pageCount), BOOLEAN(overApiSizeLimit)}(docSize), {STRING(id), STRING(type), STRING(href), STRING(browserLink)}(sourceDoc), STRING(workspaceId), STRING(folderId), {STRING(id), STRING(type), STRING(browserLink), STRING(name)}(workspace), {STRING(id), STRING(type), STRING(browserLink), STRING(name)}(folder)}]
hrefSTRINGAPI link to these results.

Output Example

{
  "items" : [ {
    "id" : "",
    "type" : "",
    "href" : "",
    "browserLink" : "",
    "name" : "",
    "owner" : "",
    "ownerName" : "",
    "createdAt" : "",
    "updatedAt" : "",
    "icon" : {
      "name" : "",
      "type" : "",
      "browserLink" : ""
    },
    "docSize" : {
      "totalRowCount" : 0.0,
      "tableAndViewCount" : 0.0,
      "pageCount" : 0.0,
      "overApiSizeLimit" : false
    },
    "sourceDoc" : {
      "id" : "",
      "type" : "",
      "href" : "",
      "browserLink" : ""
    },
    "workspaceId" : "",
    "folderId" : "",
    "workspace" : {
      "id" : "",
      "type" : "",
      "browserLink" : "",
      "name" : ""
    },
    "folder" : {
      "id" : "",
      "type" : "",
      "browserLink" : "",
      "name" : ""
    }
  } ],
  "href" : ""
}

Update Row

Name: updateRow

Updates the specified row in the table.

Properties

NameLabelTypeDescriptionRequired
docIdDoc IDSTRINGID of the doc.true
tableIdTable IDSTRING
Depends On docId
ID or name of the table.true
rowIdRow IDSTRING
Depends On docId, tableId
ID or name of the row.true
rowRowOBJECT
Properties {[{STRING(column), STRING(value)}](cells)}
An edit made to a particular row.true

Example JSON Structure

{
  "label" : "Update Row",
  "name" : "updateRow",
  "parameters" : {
    "docId" : "",
    "tableId" : "",
    "rowId" : "",
    "row" : {
      "cells" : [ {
        "column" : "",
        "value" : ""
      } ]
    }
  },
  "type" : "coda/v1/updateRow"
}

Output

Type: OBJECT

Properties

NameTypeDescription
requestIdSTRINGAn arbitrary unique identifier for this request.
idSTRINGID of the updated row.

Output Example

{
  "requestId" : "",
  "id" : ""
}

Find Doc ID

To find the Doc ID, click here.

Find Table ID

To find the Table ID, click here.

Find Row ID

To find the Row ID, click here.

Find Column ID

To find the Column ID, click here.

Insert Row

Name: insertRow

Inserts row into a table.

Properties

NameLabelTypeDescriptionRequired
docIdDoc IDSTRINGID of the doc.true
tableIdTable IDSTRING
Depends On docId
ID of the table.true
rowValuesDYNAMIC_PROPERTIES
Depends On docId, tableId
false

Example JSON Structure

{
  "label" : "Insert Row",
  "name" : "insertRow",
  "parameters" : {
    "docId" : "",
    "tableId" : "",
    "rowValues" : { }
  },
  "type" : "coda/v1/insertRow"
}

Output

Type: OBJECT

Properties

NameTypeDescription
requestIdSTRINGAn arbitrary unique identifier for this request.
addedRowIdsARRAY
Items [STRING]
Row IDs for rows that will be added.

Output Example

{
  "requestId" : "",
  "addedRowIds" : [ "" ]
}

Find Doc ID

To find the Doc ID, click here.

Find Table ID

To find the Table ID, click here.

What to do if your action is not listed here?

If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.

To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.


Additional Instructions

How to find Doc ID

  • Method 1: Via API

Use the GET /docs endpoint to retrieve a list of all docs and their IDs.

  • Method 2: Via UI

To find a Doc ID, open the document in your browser. The ID is the long string of letters and numbers in the URL after _d.

For example, in the URL https://coda.io/d/Bytechef-testing_d123abc, the Doc ID is 123abc.

The Doc ID can also be found in the output of the following actions:

  • Copy Doc
  • List Docs

How to find Table ID

  • Method 1: Via API

Use the GET /docs/DOC_ID/tables endpoint to retrieve a list of all tables and their IDs.

How to find Row ID

  • Method 1: Via API

Use the GET /docs/DOC_ID/tables/TABLE_ID/rows endpoint to retrieve a list of all rows and their IDs.

The Row ID can also be found in the output of the following actions:

  • Insert Row
  • Update Row

How to find Column ID

  • Method 1: Via API

Use the GET /docs/DOC_ID/tables/TABLE_ID/columns endpoint to retrieve a list of all columns and their IDs.

How is this guide?

Last updated on

On this page